<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<meta http-equiv="content-type" content="text/html; charset=windows-1251" />
<meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/>
<title>клан</title>
</head>
<link rel="stylesheet" href="styleN.css" type="text/css" />
<div class="menu">
<div class="line"></div>
<div class="footto">

<div class="foot"><center><b>«Клан»</b></center></div>
</div>
<div class="line"></div>
<div class="footto">
<?
######################################
#   Made by Astorix                  #
#      2011 г.                       #
#    все права защищенны             #
#      Мрак Подземелья               #
######################################
echo "<link href=\"styleN.css\" type=\"text/css\" rel=\"stylesheet\">";

/*
принимаем параметры:
p,key,no,to,NICK,pass,menu,use,c,d,p
*/

@include("db.php");
$db->openDB();
$NICK = $_GET['NICK'];
$pass=$_GET['pass'];
$m=is_numeric($_GET['m']);
$red=$_GET['red'];
$id=$_GET['id'];
$po=$_GET['po'];
$vremya=time();
if(strlen($NICK)==0 OR strlen($pass)==0){echo"логин или пароль пустой!<br/><a href=\"ds.php\">на главную</a></div><div class=\"menu\"></div>";die;}
$PR_NICK = mysql_query("SET NAMES cp1251");
$PR_NICK=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\" AND pass=\"$pass\"");
if(mysql_num_rows($PR_NICK)<1){echo"пользователя с таким логином или паролем не существует<br/><a href=\"ds.php\">на главную</a></div><div class=\"menu\"></div>";die;}

$upTIME=mysql_query("UPDATE users SET gametime=\"$vremya\" WHERE NICK=\"$NICK\"");//обновляем время в онлайне
if(!$_GET['NICK']){print('<script>location.href="ds.php'."".'";</script>');}
$text=htmlspecialchars($_POST['text']);
$clans = mysql_query("SET NAMES cp1251");
$clans = mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$NICK\"");
$clanGL = mysql_query("SET NAMES cp1251");
$clanGL = mysql_query("SELECT * FROM clans WHERE CL_GLAVA=\"$NICK\"");
if($red=='qu'){if(mysql_num_rows($clanGL)>0){

echo"<a href=\"game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"clans.php?NICK=$NICK&pass=$pass\">назад</a><br>".'вы являетесь главой клана,для того чтобы рассформировать клан,поговорите с администратором гильдий на центральной площади'."</div>";die;}
if($po==1 AND isset($po) AND mysql_num_rows($clanGL)<1){
$DEL_CC = mysql_query("SET NAMES cp1251");
$DEL_CC=mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$NICK\"");
if(mysql_num_rows($DEL_CC)<1){echo"<a href=\"game.php?NICK=$NICK&pass=$pass\">в игру</a><br>".'ошибка выхода с клана,возможно вы уже вышли с него'."</div>
<div class = 'foot' >";die;}
echo'вы покинули клан';$DEL_FC=mysql_query("DELETE FROM clans WHERE CL_CHLEN=\"$NICK\"");die;}
echo"<a href=\"game.php?NICK=$NICK&pass=$pass\">в игру</a><br>".'вы действительно хотите выйти из клана?'."<br><a href=\"clans.php?NICK=$NICK&pass=$pass&red=qu&po=1\">да</a>|<a href=\"clans.php?NICK=$NICK&pass=$pass\">нет</a></div>";

die;}
$clanC = mysql_num_rows($clans);
if($clanC==0){echo"<a href=\"game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"pers.php?NICK=$NICK&pass=$pass\">назад</a><br/>вы не состоите не в одном клане</div><div class=\"foot\">";die;}
if($clanC==1){echo"<a href=\"game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"pers.php?NICK=$NICK&pass=$pass\">назад</a><br/>
";
$delU = mysql_query("SET NAMES cp1251");
$delU = mysql_query("SELECT * FROM clans WHERE ID_CLANS=\"$id\"");
while($delU2 = mysql_fetch_assoc($delU)){
$clanf = mysql_query("SET NAMES cp1251");
$clanf = mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$NICK\"");
while($clanf2 = mysql_fetch_assoc($clanf)){
$delp = mysql_query("SET NAMES cp1251");
$delP = mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$NICK\"");
while($delP2 = mysql_fetch_assoc($delP)){

if($red=='del'){
if($delP2[CL_ZVAN]!=1 AND $delP2[Cl_ZVAN]!=2){echo'у вас нет доступа к этому действию!';die;}
if($delU2[CL_CHLEN]==$NICK){echo'вы не можете выгнать из клана самого себя!';die;}
if($delP2[CL_ZVAN]>$delU2[CL_ZVAN]){echo"данное действие не возможно!";die;}
echo"вы действительно хотите выгнать игрока $delU2[CL_CHLEN] из клана?";die;}

if($red=='zvan'){
if($delP2[CL_ZVAN]!=1 AND $delP2[Cl_ZVAN]!=2){echo'у вас нет доступа к этому действию!';die;}
if($delU2[CL_CHLEN]==$NICK){echo'вы не можете изменить статус самому себе!';die;}
if($delP2[CL_ZVAN]>$delU2[CL_ZVAN]){echo"данное действие не возможно!";die;}
echo"здесь будут функции по изменению звания";die;}
}}}
$cl = mysql_query("SET NAMES cp1251");
$cl = mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$NICK\"");
while($cl2 = mysql_fetch_assoc($cl)){
echo"<script>function showTooltip()
 {
 var myDiv = document.getElementById('tooltip');
 if(myDiv.style.display == 'none')
 {
 myDiv.style.display = 'block';
 } else {
 myDiv.style.display = 'none';
 }
 return false;
 }</script>
<a href='javascript:;' onclick=showTooltip()>".'девиз клана '."</a>(<a href=\"clans.php?NICK=$NICK&pass=$pass&m=1\">изм.</a>)<div id=tooltip style='display: none'>
---<br/>$cl2[CL_DEVIZ]</div>---<br/>";
}
echo"казна клана<br/>";
echo"постройки замка<br/>";
if($m==1){
$clanf = mysql_query("SET NAMES cp1251");
$clanf = mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$NICK\"");
while($clanf2 = mysql_fetch_assoc($clanf)){
if($clanf2[CL_ZVAN]!=1 AND $clanf2[CL_ZVAN]!=2){echo"у вас нет прав редактировать Девиз клана!";die;}}
echo"
<form action=\"clans.php?NICK=$NICK&pass=$pass&m=1\" method=\"POST\">
введите девиз<br/>
<input name=\"text\"><br/>
<input type=\"submit\" value=\"сохранить\">
</form>
";
if($text!=''){echo 'девиз успешно сохранен';
$ytu = mysql_query("SET NAMES cp1251");
$ytu = mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$NICK\"");
while($ytu2 = mysql_fetch_assoc($ytu)){$devU=mysql_query("UPDATE clans SET CL_DEVIZ=\"$text\" WHERE CL_NAME=\"$ytu2[CL_NAME]\""); print('<SCRIPT>location.href="clans.php?NICK='.$NICK.'&pass='.$pass.'";</SCRIPT>');}die;}
die;}
while($clans2 = mysql_fetch_assoc($clans)){
$clane = mysql_query("SET NAMES cp1251");
$clane = mysql_query("SELECT * FROM clans WHERE CL_NAME=\"$clans2[CL_NAME]\" AND CL_CHLEN!=\"$clans2[CL_GLAVA]\"");

$claneC = mysql_num_rows($clane);
echo 'клан:'.$clans2[CL_NAME].'<br/>';
echo 'клан создан:'.$clans2[CL_DATE].'<br/>';
echo 'глава клана:'.$clans2[CL_GLAVA].'<br/>';
echo 'кол-во человек в клане:'.$claneC.'<br/>';
$clanW = mysql_query("SET NAMES cp1251");
$clanW = mysql_query("SELECT * FROM clans");
echo"<a href=\"clans.php?NICK=$NICK&pass=$pass&red=qu\">выйти из клана</a>";
echo'<div class="foot"><center><font color="orange">состав клана:</font><br/>';
echo "<center><table><tr><td>Имя</td><td>звание</td><td>класс</td><td>уровень</td><td>действие</td></center></div>";
$clanW = mysql_query("SET NAMES cp1251");
$clanW=mysql_query("SELECT * FROM clans WHERE CL_NAME=\"$clans2[CL_NAME]\" AND CL_CHLEN!=\"$clans2[CL_GLAVA]\"");
while($clanW2 = mysql_fetch_assoc($clanW)){
echo"<tr><td>$clanW2[CL_CHLEN]</td><td>звание</td><td>$clanW2[CL_CLASS]</td><td>$clanW2[CL_LVL]</td><td><a href=\"clans.php?NICK=$NICK&pass=$pass&red=del&id=$clanW2[ID_CLANS]\">удл.</a>|<a href=\"clans.php?NICK=$NICK&pass=$pass&red=zvan&id=$clanW2[ID_CLANS]\">звание</a></td></tr>";
}
echo "</tr></table>";
//}
}
}
//}
//}
//}
?>

</body>
</html>